CRAN Package Check Results for Package fda

Last updated on 2015-04-18 19:51:20.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.4.4 5.22 116.98 122.20 NOTE
r-devel-linux-x86_64-debian-gcc 2.4.4 5.17 122.13 127.30 NOTE
r-devel-linux-x86_64-fedora-clang 2.4.4 241.13 NOTE
r-devel-linux-x86_64-fedora-gcc 2.4.4 228.15 NOTE
r-devel-osx-x86_64-clang 2.4.4 204.92 NOTE
r-patched-linux-x86_64 2.4.4 5.08 125.71 130.79 NOTE
r-patched-solaris-sparc 2.4.4 1023.10 NOTE --no-examples
r-patched-solaris-x86 2.4.4 285.80 NOTE
r-release-linux-x86_64 2.4.4 5.09 123.09 128.18 NOTE
r-release-osx-x86_64-mavericks 2.4.4 NOTE
r-release-osx-x86_64-snowleopard 2.4.4 ERROR
r-release-windows-ix86+x86_64 2.4.4 16.00 217.00 233.00 NOTE
r-oldrel-windows-ix86+x86_64 2.4.4 17.00 240.00 257.00 OK

Check Details

Version: 2.4.4
Check: dependencies in R code
Result: NOTE
    'library' or 'require' calls in package code:
     ‘R.matlab’ ‘RCurl’ ‘nlme’ ‘quadprog’
     Please use :: or requireNamespace() instead.
     See section 'Suggested packages' in the 'Writing R Extensions' manual.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64, r-release-osx-x86_64-mavericks, r-release-osx-x86_64-snowleopard, r-release-windows-ix86+x86_64

Version: 2.4.4
Check: S3 generic/method consistency
Result: NOTE
    Found the following apparent S3 methods exported but not registered:
     fRegress.CV fRegress.stderr norder.bspline plot.cca.fd plot.pca.fd
    See section ‘Registering S3 methods’ in the ‘Writing R Extensions’
    manual.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-osx-x86_64-clang, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 2.4.4
Flags: --no-examples
Check: dependencies in R code
Result: NOTE
    'library' or 'require' calls in package code:
     ‘R.matlab’ ‘RCurl’ ‘nlme’ ‘quadprog’
     Please use :: or requireNamespace() instead.
     See section 'Suggested packages' in the 'Writing R Extensions' manual.
Flavor: r-patched-solaris-sparc

Version: 2.4.4
Check: Rd cross-references
Result: NOTE
    Packages unavailable to check Rd xrefs: ‘Ecfun’, ‘demography’
Flavor: r-release-osx-x86_64-mavericks

Version: 2.4.4
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘zoo’
Flavor: r-release-osx-x86_64-snowleopard

Version: 2.4.4
Check: Rd cross-references
Result: NOTE
    Packages unavailable to check Rd xrefs: ‘Ecfun’, ‘FinTS’, ‘zoo’, ‘demography’
Flavor: r-release-osx-x86_64-snowleopard

Version: 2.4.4
Check: examples
Result: ERROR
    Running examples in ‘fda-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: phaseplanePlot
    > ### Title: Phase-plane plot
    > ### Aliases: phaseplanePlot
    > ### Keywords: smooth hplot
    >
    > ### ** Examples
    >
    > goodsbasis <- create.bspline.basis(rangeval=c(1919,2000),
    + nbasis=161, norder=8)
    > LfdobjNonDur <- int2Lfd(4)
    >
    > library(zoo)
    Error in library(zoo) : there is no package called ‘zoo’
    Execution halted
Flavor: r-release-osx-x86_64-snowleopard